UrlMappingInfo (Grails 5.3.2)

Package: grails.web.mapping

## [Java] Interface UrlMappingInfo

-     public interface UrlMappingInfo

  Defines that data that was produced when matching a URI with a UrlMapping instance.

  See Also:
    UrlMapping
  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `configure(GrailsWebRequest webRequest)` Configure this UrlMappingInfo the for the given GrailsWebRequest
    `` | `public java.lang.String` | `getActionName()` The name of the action that the URL mappping maps to
    `` | `public java.lang.String` | `getControllerName()` The name of the controller that the URL mapping maps to
    `` | `public java.lang.String` | `getHttpMethod()` The HTTP method that this URL mapping maps to
    `` | `public java.lang.String` | `getId()` The id part of the URL mapping if any
    `` | `public java.lang.String` | `getNamespace()` Returns: the namespace of the corresponding controller, null if none was specified
    `` | `public java.util.Map` | `getParameters()` The parameters that were extracted from the URI that was matched
    `` | `public java.lang.String` | `getPluginName()` The name of the plugin that this UrlMappingInfo maps to
    `` | `public java.lang.Object` | `getRedirectInfo()` The redirect information should be a String or a Map.
    `` | `public java.lang.String` | `getURI()` The URI to map to.
    `` | `public UrlMappingData` | `getUrlData()` Retrieves the UrlMappingData (information about a parsed URL) if any
    `` | `public java.lang.String` | `getVersion()` Returns: The version of the API (for REST)
    `` | `public java.lang.String` | `getViewName()` The name of the view that the URL mappping maps to
    `` | `public boolean` | `isParsingRequest()` Returns true of the request body should be parsed.

- - ### Method Detail

    - #### public void configure(GrailsWebRequest webRequest)

      Configure this UrlMappingInfo the for the given GrailsWebRequest

      Parameters:
        `webRequest` - The GrailsWebRequest instance

    - #### public java.lang.String getActionName()

      The name of the action that the URL mappping maps to

      Returns:
        The name of the action or null if not known

    - #### public java.lang.String getControllerName()

      The name of the controller that the URL mapping maps to

      Returns:
        The name of the controller

    - #### public java.lang.String getHttpMethod()

      The HTTP method that this URL mapping maps to

      Returns:
        The http method

    - #### public java.lang.String getId()

      The id part of the URL mapping if any

      Returns:
        The id or null

    - #### public java.lang.String getNamespace()

      Returns:
        the namespace of the corresponding controller, null if none was specified

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map getParameters()

      The parameters that were extracted from the URI that was matched

      Returns:
        A Map of parameters

    - #### public java.lang.String getPluginName()

      The name of the plugin that this UrlMappingInfo maps to

      Returns:
        The plugin name

    - #### public java.lang.Object getRedirectInfo()

      The redirect information should be a String or a Map. If it is a String that string is the URI to redirect to. If it is a Map, that Map may contain any entries supported as arguments to the dynamic redirect(Map) method on a controller.

      Returns:
        redirect information for this url mapping, null if no redirect is specified

    - #### public java.lang.String getURI()

      The URI to map to. Note when the URI is specified it overrides any explicit controller/action/id mappings. In other words you can either specify the URI or the controller/action/id, but not both

      Returns:
        The URI to use

    - #### public UrlMappingData getUrlData()

      Retrieves the UrlMappingData (information about a parsed URL) if any

      Returns:
        The UrlMappingData instance

    - #### public java.lang.String getVersion()

      Returns:
        The version of the API (for REST)

    - #### public java.lang.String getViewName()

      The name of the view that the URL mappping maps to

      Returns:
        The name of the view or null if not known

    - #### public boolean isParsingRequest()

      Returns true of the request body should be parsed. This typically happens in the case of REST requests that parse JSON or XML packets

      Returns:
        true if it is